---

themes:
  name: pumpkin
  dark:
    colors:
      background: 0x281831
      header: 0x281831
      userBubble: 0x873C14
      peerBubble: 0x422850
      font: 0xFFFAF2
      settings: 0xFFFAF2
      accent: 0x873C14
      reaction: 0x873C14
    theme:
      hilightElementColor: font
      backgroundMainColor: background  # darkGreyPurple
      backgroundPaneColor: header  # darkGreyPurple
      defaultButtonColor: accent  # hotPink
      mainTextColor: font  # whiteishPurple
      messageFromMeBackgroundColor: userBubble  #  mauvePurple
      messageFromMeTextColor: font  # whiteishPurple
      messageFromOtherBackgroundColor: peerBubble  # deepPurple
      messageFromOtherTextColor: font  # whiteishPurple
      scrollbarDefaultColor: accent
      portraitContactBadgeColor: accent
      portraitContactBadgeTextColor: 0xFFFAF2
      portraitProfileBadgeColor: accent
      portraitProfileBadgeTextColor: 0xFFFAF2
      portraitOfflineBorderColor: 0x775F84
      portraitOnlineBorderColor: font
      textfieldHintColor: mainTextColor
      toolbarIconColor: settings  # whiteishPurple
      toolbarBackgroundColor: accent
      topbarColor: header  # darkGreyPurple
      sendHintTextColor: peerBubble
      chatReactionIconColor: reaction
      chatImage: Pumpkin.png
      chatImageColor: 0x573569
      snackbarBackgroundColor: accent
      snackbarTextColor: 0xFFFAF2
      messageSelectionColor: 0x775F84
      textfieldSelectionColor: 0x775F84
      menuBackgroundColor: 0x775F84
  light:
    colors:
      background: 0xFFFAF2
      header: 0xFF9800
      userBubble: 0xFF9800
      peerBubble: 0xFFF3E0
      font: 0x281831
      settings: 0x281831
      accent: 0x422850
      reaction: 0xFF9800
    theme:
      hilightElementColor: font
      backgroundHilightElementColor: peerBubble
      backgroundMainColor: background  # whitePurple
      backgroundPaneColor: background  # whitePurple
      defaultButtonColor: accent  # hotPink
      dropShadowColor: peerBubble
      mainTextColor: settings
      messageFromMeBackgroundColor: userBubble  # brightPurple
      messageFromMeTextColor: font  # mainTextColor
      messageFromOtherBackgroundColor: peerBubble  # purple
      messageFromOtherTextColor: font  # darkPurple
      portraitContactBadgeColor: accent
      portraitContactBadgeTextColor: 0xFFFAF2
      portraitProfileBadgeColor: accent
      portraitProfileBadgeTextColor: 0xFFFAF2
      portraitOfflineBorderColor: 0x775F84
      portraitOnlineBorderColor: font
      scrollbarDefaultColor: accent
      textfieldBackgroundColor: background
      textfieldBorderColor: userBubble
      textfieldHintColor:  mainTextColor
      toolbarIconColor: background  # darkPurple
      toolbarBackgroundColor: accent
      topbarColor: header  # softPurple
      sendHintTextColor: 0xffd494
      chatReactionIconColor: reaction
      chatImage: Pumpkin.png
      chatImageColor: 0xFFDCA8
      snackbarBackgroundColor: accent
      snackbarTextColor: background
      messageSelectionColor: 0xFFDCA8
      textfieldSelectionColor: 0xFFDCA8
      menuBackgroundColor: 0xFFDCA8